Bug 435051 - thunderbird .desktop file has no translations
thunderbird .desktop file has no translations
Status: CLOSED DUPLICATE of bug 384711
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
: FutureFeature, Patch, Translation, Triaged
Depends On: 383411
Blocks: F9Target 384711 490056
  Show dependency treegraph
 
Reported: 2008-02-26 19:52 EST by Jens Petersen
Modified: 2011-04-11 00:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-11 00:40:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
thunderbird.desktop (1.08 KB, text/plain)
2009-03-30 06:55 EDT, Jens Petersen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 371734 None None None Never

  None (edit)
Description Jens Petersen 2008-02-26 19:52:30 EST
Cloning for thunderbird.

+++ This bug was initially created as a clone of Bug #383411 +++

Description of problem:
The Firefox menu entry is not translated. I'm running my desktop in Finnish and
still the Firefox menu entry is "Firefox Web Browser", when in should be
"Firefox-WWW-selain" or something similar.

The problem is that there are no translations in the file
/usr/share/applications/mozilla-firefox.desktop . If you compare that to e.g.
/usr/share/applications/redhat-evolution-mail.desktop, you'll see that it has
lots of translations.

As Firefox is the default browser in Fedora, I hope this could be fixed.

Version-Release number of selected component (if applicable):
firefox-2.0.0.8-2.fc8

How reproducible:
Always


Steps to Reproduce:
1. Open the Internet menu in either KDE or Gnome when running the desktop in
Finnish or some other non-English language.

Actual Results:
The Firefox menu entry is not translated.

Expected Results:
The Firefox menu entry should be made translatable and after translators have
translated it, it should show up in the language that the user is using.

Additional info:

-- Additional comment from mcepl@redhat.com on 2007-11-15 09:22 EST --
Created an attachment (id=259801)
Ubuntu firefox.desktop

Extracted from
http://archive.ubuntu.com/ubuntu/pool/main/f/firefox/firefox_2.0.0.8+2nobinonly-0ubuntu3.diff.gz

-- Additional comment from vpivaini@cs.helsinki.fi on 2007-11-15 10:24 EST --
Thanks for taking a look at these bugs. At least the Finnish translation in
Ubuntu's desktop file looks good. 

On the other hand, should these translations be incorporated into Fedora's L10n
infrastructure somehow, so that the Fedora translators could edit them as they
see fit? I don't know all parts of the system, so I'm not sure how it should be
handled, but if possible, it would be nice.

-- Additional comment from mcepl@redhat.com on 2008-02-21 17:35 EST --
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.

-- Additional comment from mcepl@redhat.com on 2008-02-21 17:36 EST --
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.

-- Additional comment from vpivaini@cs.helsinki.fi on 2008-02-22 02:08 EST --
Fx 3 in Rawhide is currently completely in English, even with a Finnish locale.
The menu entries are also still in English (while most other menu items are in
Finnish), so this situation hasn't changed since Fedora 8. The Thunderbird menu
entries are still in English as well.

-- Additional comment from mcepl@redhat.com on 2008-02-22 04:20 EST --
Yeah, FF3 is still in English. Sorry, testing with FF3 doesn't apply here.
Passing this bug to i18n team.

-- Additional comment from petersen@redhat.com on 2008-02-25 21:56 EST --
Can we use the translation from Ubuntu's desktop file say in Fedora
as a starting point?

-- Additional comment from vpivaini@cs.helsinki.fi on 2008-02-26 07:19 EST --
If there are no licensing issues (I'd think the desktop file should be licensed
similarly as Fx itself) then why not, at least for F9.

But in general the desktop file and its translations should be handled either
upstream or at least in the Fedora infrastructure, so our translators could
contribute as well.

Please note, Thunderbird is also missing translations from the .desktop file.

-- Additional comment from mcepl@redhat.com on 2008-02-26 08:42 EST --
Created an attachment (id=295906)
Ubuntu thunderbird.desktop

thunderbird.desktop cut out of
http://archive.ubuntu.com/ubuntu/pool/main/t/thunderbird/thunderbird_2.0.0.9+nobinonly-0ubuntu2.diff.gz

using
filterdiff -z thunderbird_2.0.0.9+nobinonly-0ubuntu2.diff.gz -i *.desktop
>thunderbird.desktop
(and then editing result)

-- Additional comment from mcepl@redhat.com on 2008-02-26 08:46 EST --
The upstream bugs are https://bugzilla.mozilla.org/show_bug.cgi?id=371734 (for
Thunderbird) and https://bugzilla.mozilla.org/show_bug.cgi?id=404032 (for Firefox)

-- Additional comment from mcepl@redhat.com on 2008-02-26 08:47 EST --
(however, it seems that {thunderbird,firefox}.desktop files are in Fedora
generated from .po files, so I am not sure who is responsible for fixing this.
Passing to Christopher to resolve.
Comment 1 Jens Petersen 2008-04-10 00:14:29 EDT
If it is too late for F9 Final, can we have it for an F9 update, please?
Comment 2 Bug Zapper 2008-05-14 01:39:13 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Tony Fu 2008-09-09 23:12:09 EDT
requested by Jens Petersen (#27995)
Comment 4 Ville-Pekka Vainio 2009-01-28 03:23:54 EST
Any chances of fixing this for F11?
Comment 5 Jens Petersen 2009-01-29 02:42:29 EST
Seems upstream rejected shipping desktop files for branding reasons.

Can we just use the desktop from Ubuntu say for fedora's thunderbird?
Comment 6 Jens Petersen 2009-03-25 03:35:45 EDT
ping?
Comment 7 Jens Petersen 2009-03-30 06:55:19 EDT
Created attachment 337204 [details]
thunderbird.desktop

This is the desktop file from thunderbird_2.0.0.21+nobinonly-0ubuntu1.

Can we please have this added to the fedora package?
Comment 8 Ville-Pekka Vainio 2009-05-14 15:09:46 EDT
It's apparently the Thunderbird test day today. I've just installed thunderbird-3.0-2.3.beta2.fc11.i586, still no translations in the menu entry.
Comment 9 Piotr Drąg 2009-06-12 23:50:00 EDT
It's definitely possible. Firefox has translated menu entry in F11. Ping?
Comment 10 Christopher Aillon 2011-04-11 00:40:22 EDT

*** This bug has been marked as a duplicate of bug 384711 ***

Note You need to log in before you can comment on or make changes to this bug.